Hi US Support,

I have a question about the youth self-completion weight.

My analytical sample comprises of youths and young adults (aged 12-19) who filled in the Self-completion booklet (SC), using data

from wave 3 and wave 6 involving the following combinations

A: Wave 3: Youth Sc -> Wave 6: Youth Sc

B: Wave 3:Youth Sc -> Wave 6: Young Adult SC

C: Wave 3:Young Adults SC -> Wave 6: Young Adult Sc

For C, I can use the young adult SC longitudinal weight f_indscub_lw

However, I cannot find a longitudinal weight for youth SC, (Group A), why is that?

Also, what should I do about weighting for youths SC who became young adults in Wave 6 (Group B)?

Thank you in advance.

Kind regards,

Linda

History

#1 - 03/18/2020 03:17 PM - Rebecca Parsons

- Status changed from New to In Progress

- Assignee set to Olena Kaminska

- Private changed from Yes to No

Hi Linda,

Your questions have been passed to our weighting specialists and we'll get back to you very soon.

Best wishes,

Becky

User Support Team

#2 - 03/23/2020 05:26 PM - Olena Kaminska

Linda,

Yes, the weight for the situation C is correct.

For the situations A and B we do not have tailored weights to your specific situation. My suggestion is to use the following suboptimal weights:

- Situation A: f_psnenub_lw

- Situation B: f_indscub_lw

Hope this helps,

Olena

#3 - 03/23/2020 05:36 PM - Stephanie Auty

- Status changed from In Progress to Feedback

- Assignee changed from Olena Kaminska to Linda Ng

- % Done changed from 0 to 70

#4 - 03/24/2020 04:21 PM - Linda Ng
Dear Olena,

Thank you for your suggestions.

I have found the f_psnenub_lw weight in the f_indall file.

That's very helpful.

Best wishes,

Linda

#5 - 04/21/2020 11:31 AM - Linda Ng

Dear Olena/Understanding Support staff,

Hope you're all keeping well in these current times!

I have a few questions with regards to this project and weighting if you could be so kind to help.

Firstly, I have weighted as suggested but find that my sample has droped by around 200, is that right? I also get a warning note after my regression

that '136 strata omitted because they contain no population members' - should I be concerned?

Secondly, if I'm limiting my sample to only those with records at wave 3 and wave 6 - is it still the longitudinal weight at wave 6 I use when carrying

out baseline analyses (at wave 3), and not the cross-sectional weight?

Thirdly, am I right in thinking that the houshold clustering is accounted for via the non-response weighting, therefore I do not need to further account

for this when applying complex survey design (where I am already accounting for PSUs within strata)?

Thank you in advance.

STay safe and well!

Linda

#6 - 04/21/2020 04:24 PM - Olena Kaminska

- Assignee changed from Linda Ng to Alita Nandi

Linda,

Thank you for your question.

Yes, the drop in number is correct with weighting - this is because our data is longitudinal (this does not happen if the data is collected at one time

point only).

The strata error is a common one - this is because we use very fine strata (which adds precision). There is a very useful guide to how to get over it - I

will pass you to Alita who will give you an example of how to deal with it.

And what do you mean by baseline? If you have wave 3 and 6 in your analysis at the same time - use lw weight from wave 6. If you use only wave 3

in your analysis then you can use xw weight from wave 3.

And no, weighting does not correct for clustering. You need to specify psu=w_psu during svyset, as well as weight and strata variables. But you do

not need to worry about clustering within households because it is corrected for already through higher level psu's.

Best wishes,

Olena

#7 - 05/01/2020 04:27 AM - Alita Nandi

- Assignee changed from Alita Nandi to Linda Ng

#8 - 10/13/2021 11:58 AM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (Linda Ng)

- % Done changed from 70 to 100
